> ## Documentation Index
> Fetch the complete documentation index at: https://docs.acedata.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Producer Wav



## OpenAPI

````yaml /openapi/producer.json post /producer/wav
openapi: 3.0.0
info:
  title: Producer Music Generation
  version: 1.0.0
  description: API reference for Producer Music Generation on Ace Data Cloud.
servers:
  - url: https://api.acedata.cloud
    description: Ace Data Cloud API
security:
  - bearerAuth: []
paths:
  /producer/wav:
    post:
      summary: Producer Wav
      parameters:
        - in: header
          name: accept
          schema:
            enum:
              - application/json
            type: string
          required: false
          description: Producer Wav Param Accept
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - audio_id
              properties:
                audio_id:
                  type: string
                  description: Producer Wav Audio Id
            example:
              audio_id: 8d2f6c1a-4b3e-4a7c-9f21-6e0a5b2c1d34
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    audio_id: eae26f89-b64b-404d-a80c-761996660b1c
                  success: true
                properties:
                  data:
                    type: object
                    description: Producer Wav Response 200 Data
                  success:
                    type: boolean
                    description: Producer Wav Response 200 Success
          description: Producer Wav Response 200
        '400':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: token_mismatched
                        message: The specified token is not matched with API.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: token_mismatched
                            description: Producer Wav Response 400 Error Code
                          message:
                            type: string
                            example: The specified token is not matched with API.
                            description: Producer Wav Response 400 Error Message
                      trace_id:
                        type: string
                        description: Producer Wav Response 400 Trace Id
                  - type: object
                    example:
                      error:
                        code: api_not_implemented
                        message: The API is not implemented.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: api_not_implemented
                            description: Producer Wav Response 400 Error Code 2
                          message:
                            type: string
                            example: The API is not implemented.
                            description: Producer Wav Response 400 Error Message 2
                      trace_id:
                        type: string
                        description: Producer Wav Response 400 Trace Id 2
                  - type: object
                    example:
                      error:
                        code: disabled
                        message: >-
                          Your application has been disabled by Ace Data Cloud
                          due to abnormal usage behavior, please contact our
                          support to get more information.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: disabled
                            description: Producer Wav Response 400 Error Code 3
                          message:
                            type: string
                            example: >-
                              Your application has been disabled by Ace Data
                              Cloud due to abnormal usage behavior, please
                              contact our support to get more information.
                            description: Producer Wav Response 400 Error Message 3
                      trace_id:
                        type: string
                        description: Producer Wav Response 400 Trace Id 3
                  - type: object
                    example:
                      error:
                        code: bad_request
                        message: model is invalid.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: bad_request
                            description: Producer Wav Response 400 Error Code 4
                          message:
                            type: string
                            example: model is invalid.
                            description: Producer Wav Response 400 Error Message 4
                      trace_id:
                        type: string
                        description: Producer Wav Response 400 Trace Id 4
                  - type: object
                    example:
                      error:
                        code: no_token
                        message: No token specified for the request.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: no_token
                            description: Producer Wav Response 400 Error Code 5
                          message:
                            type: string
                            example: No token specified for the request.
                            description: Producer Wav Response 400 Error Message 5
                      trace_id:
                        type: string
                        description: Producer Wav Response 400 Trace Id 5
          description: Producer Wav Response 400
        '401':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: invalid_token
                        message: The specified token is invalid or wrong.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: invalid_token
                            description: Producer Wav Response 401 Error Code
                          message:
                            type: string
                            example: The specified token is invalid or wrong.
                            description: Producer Wav Response 401 Error Message
                      trace_id:
                        type: string
                        description: Producer Wav Response 401 Trace Id
                  - type: object
                    example:
                      error:
                        code: token_expired
                        message: token expired.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: token_expired
                            description: Producer Wav Response 401 Error Code 2
                          message:
                            type: string
                            example: token expired.
                            description: Producer Wav Response 401 Error Message 2
                      trace_id:
                        type: string
                        description: Producer Wav Response 401 Trace Id 2
                  - type: object
                    example:
                      error:
                        code: token_mismatched
                        message: token and api does not match.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: token_mismatched
                            description: Producer Wav Response 401 Error Code 3
                          message:
                            type: string
                            example: token and api does not match.
                            description: Producer Wav Response 401 Error Message 3
                      trace_id:
                        type: string
                        description: Producer Wav Response 401 Trace Id 3
          description: Producer Wav Response 401
        '403':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: used_up
                        message: >-
                          Your balance is not sufficient for current request,
                          please buy more in Ace Data Cloud.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: used_up
                            description: Producer Wav Response 403 Error Code
                          message:
                            type: string
                            example: >-
                              Your balance is not sufficient for current
                              request, please buy more in Ace Data Cloud.
                            description: Producer Wav Response 403 Error Message
                      trace_id:
                        type: string
                        description: Producer Wav Response 403 Trace Id
          description: Producer Wav Response 403
        '404':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: no_api
                        message: API does not exist, please make sure url is correct.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: no_api
                            description: Producer Wav Response 404 Error Code
                          message:
                            type: string
                            example: >-
                              API does not exist, please make sure url is
                              correct.
                            description: Producer Wav Response 404 Error Message
                      trace_id:
                        type: string
                        description: Producer Wav Response 404 Trace Id
          description: Producer Wav Response 404
        '429':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: too_many_requests
                        message: You have exceeded the rate limit.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: too_many_requests
                            description: Producer Wav Response 429 Error Code
                          message:
                            type: string
                            example: You have exceeded the rate limit.
                            description: Producer Wav Response 429 Error Message
                      trace_id:
                        type: string
                        description: Producer Wav Response 429 Trace Id
          description: Producer Wav Response 429
        '500':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: api_error
                        message: Internal server error.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: api_error
                            description: Producer Wav Response 500 Error Code
                          message:
                            type: string
                            example: Internal server error.
                            description: Producer Wav Response 500 Error Message
                      trace_id:
                        type: string
                        description: Producer Wav Response 500 Trace Id
          description: Producer Wav Response 500
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API token from https://platform.acedata.cloud

````